aboutsummaryrefslogtreecommitdiff
path: root/debian/postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postrm')
-rw-r--r--debian/postrm23
1 files changed, 23 insertions, 0 deletions
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..87735c2
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+OUT=/dev/null
+HOME=/var/stackbin
+SERVICE=stackbin
+
+case "$1" in
+ purge)
+ update-rc.d -f ${SERVICE} remove
+ rm -f ${HOME}/upload/.*.meta 1>${OUT} 2>&1 || :
+ ;;
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
bgstack15